%define real_name putty

Name:		putty-gtk2
Version:	0.66
Release:	1
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Applications/Internet
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{real_name}-%{version}.tar.gz
Source1:	http://the.earth.li/~sgtatham/putty/latest/%{real_name}-%{version}.tar.gz.gpg
Source3:	%{real_name}.desktop
Source4:	%{real_name}.png
Patch0:		%{real_name}-%{version}-aix-gtk2.patch
Requires:	glib2 >= 2.34.3-1
Requires:	gtk2 >= 2.20.1-2
Requires:	krb5-libs >= 1.9.4-1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	coreutils, patch
BuildRequires:	glib2-devel >= 2.34.3-1
BuildRequires:	gtk2-devel >= 2.20.1-2
BuildRequires:	krb5-devel >= 1.9.4-1

Provides:	%{real_name}

%description
PuTTY is a free implementation of Telnet and SSH for Win32 and Unix platforms,
along with an xterm terminal emulator.


%prep
%setup -q -n %{real_name}-%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p0


%build
cd unix
ln -s Makefile.gtk Makefile
gmake
cd ..


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

cd unix
gmake DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
cd ..

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications

install -m 644 -D -p %{SOURCE4} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/putty.png


%files
%defattr(-,root,system)
%doc LICENCE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{real_name}.png
%config /etc/X11/applnk/Applications/%{real_name}.desktop


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Fri Dec 25 2015 Michael Perzl <michael@perzl.org> - 0.66-1
- updated to version 0.66

* Wed Jul 29 2015 Michael Perzl <michael@perzl.org> - 0.65-1
- updated to version 0.65

* Mon Mar 02 2015 Michael Perzl <michael@perzl.org> - 0.64-1
- updated to version 0.64

* Thu Aug 08 2013 Michael Perzl <michael@perzl.org> - 0.63-1
- updated to version 0.63

* Mon Dec 12 2011 Michael Perzl <michael@perzl.org> - 0.62-1
- updated to version 0.62

* Thu Jul 14 2011 Michael Perzl <michael@perzl.org> - 0.61-1
- updated to version 0.61

* Tue Aug 14 2007 Michael Perzl <michael@perzl.org> - 0.60-1
- updated to version 0.60

* Fri Dec 30 2005 Michael Perzl <michael@perzl.org> - 0.58-1
- first version for AIX V5.1 and higher
